Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027758
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementminorhave not tried2014-10-03 14:492014-12-30 23:25
ReporterjonalegriaesarteView Statuspublic 
Assigned Tofsoto82 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revisionb419c66789ed
ProjectionnoneETAnoneTarget Version3.0PR15Q1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Topramakrishnan
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0027758: Copy lines in sales order does not work if the role does not have access to price list window

DescriptionCopy lines in sales order does not work if the role does not have access to price list window
Steps To Reproduce- Create a role without access to price list window
- Create a sales order header using that role
- Copy lines button
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0071710)
fsoto82 (developer)
2014-11-17 15:34

- Create a role without access to price list window
- Create a sales order header using that role
- Copy lines button

Now the list is shown without error.
(0071849)
hgbot (developer)
2014-11-20 11:16

Repository: erp/devel/pi
Changeset: b419c66789ed34c6e67e0392524778e275522f3b
Author: Fernando Soto <fernando.soto <at> peoplewalking.com>
Date: Thu Nov 13 11:49:23 2014 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/b419c66789ed34c6e67e0392524778e275522f3b [^]

Fixed bug 27758: Copy lines in SO dont work if the role dont have access to price list window

Changed CopyFromOrder class to set admin mode before fill the data.

---
M src/org/openbravo/erpCommon/ad_actionButton/CopyFromOrder.java
---
(0071850)
hgbot (developer)
2014-11-20 11:16

Repository: erp/devel/pi
Changeset: 798623d3e6e23dad2db2b884dc8f15f080953295
Author: Pandeeswari Ramakrishnan <pandeeswari.ramakrishnan <at> openbravo.com>
Date: Thu Nov 20 15:42:54 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/798623d3e6e23dad2db2b884dc8f15f080953295 [^]

Related to Issue 27758: Copy lines in SO dont work if the role dont have access to price list window

---
M src/org/openbravo/erpCommon/ad_actionButton/CopyFromOrder.java
---
(0071851)
pramakrishnan (developer)
2014-11-20 11:22

Code Review + Testing - OK.
(0073116)
hudsonbot (developer)
2014-12-30 23:25

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test
(0073117)
hudsonbot (developer)
2014-12-30 23:25

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-10-03 14:49 jonalegriaesarte New Issue
2014-10-03 14:49 jonalegriaesarte Assigned To => AtulOpenbravo
2014-10-03 14:49 jonalegriaesarte Modules => Core
2014-10-03 14:49 jonalegriaesarte Triggers an Emergency Pack => No
2014-11-13 20:26 fsoto82 Status new => scheduled
2014-11-13 20:26 fsoto82 Assigned To AtulOpenbravo => fsoto82
2014-11-13 20:26 fsoto82 fix_in_branch => pi
2014-11-17 15:34 fsoto82 Note Added: 0071710
2014-11-20 11:16 hgbot Checkin
2014-11-20 11:16 hgbot Note Added: 0071849
2014-11-20 11:16 hgbot Status scheduled => resolved
2014-11-20 11:16 hgbot Resolution open => fixed
2014-11-20 11:16 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/b419c66789ed34c6e67e0392524778e275522f3b [^]
2014-11-20 11:16 hgbot Checkin
2014-11-20 11:16 hgbot Note Added: 0071850
2014-11-20 11:22 pramakrishnan Review Assigned To => pramakrishnan
2014-11-20 11:22 pramakrishnan Note Added: 0071851
2014-11-20 11:22 pramakrishnan Status resolved => closed
2014-12-30 23:25 hudsonbot Checkin
2014-12-30 23:25 hudsonbot Note Added: 0073116
2014-12-30 23:25 hudsonbot Checkin
2014-12-30 23:25 hudsonbot Note Added: 0073117


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker